org.eclipse.eef.properties.ui.api

## Interface IEEFTabDescriptorProvider

All Known Implementing Classes:
  LegacyTabDescriptorProvider

    public interface IEEFTabDescriptorProvider

This interface is used to provide a list of `IEEFTabDescriptor`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Collection<IEEFTabDescriptor>` `get(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection, IEEFTabbedPropertySheetPageContributor contributor)` Returns an `IEEFTabDescriptor`.

### Method Detail

#### get

    java.util.Collection<IEEFTabDescriptor> get(org.eclipse.ui.IWorkbenchPart part,
                                                org.eclipse.jface.viewers.ISelection selection,
                                                IEEFTabbedPropertySheetPageContributor contributor)

Returns an `IEEFTabDescriptor`.

Parameters:
  `part` - The current part
  `selection` - The current selection
  `contributor` - The contributor
Returns:
  An `IEEFTabDescriptor`